URL to Invoke the ClassIn Client
Get the login client link,Need SID, safekey, timeStamp, provide mobile phone number, the course ID, Class ID,ClassIn client login platform identity, return Can in Pc terminal or mobile terminal arouse ClassIn client links.
Important information remarks
Important Notes
The launch link is generated by splicing the user account, course ID and lesson ID following specific rules. Generally, repeated API calls are not required; institutions may generate the link on‑site based on the known format.
The launch link contains the user account information, which will be auto‑filled upon launching. When a user first triggers the ClassIn client via web page on a device, the client will stay on the login page, waiting for the user to enter the password and click Login. After successful login, the classroom interface will open.
The ClassIn mobile app automatically saves passwords. For the PC client, users are strongly recommended to check Remember Password after entering their password. This avoids password entry for subsequent link launches.
If users forget their passwords, they may click Forgot Password on the login page for password recovery.
URL
https://api.eeo.cn/partner/api/course.api.php?action=getLoginLinked
HTTP Request Methods
- POST
Coding format
- UTF-8
Request data
| key | Required | More Restrictions | Instructions | Description |
|---|---|---|---|---|
| SID | Yes | Null | School ID | It is available through the eeo.cn application |
| safeKey | Yes | Fixed 32-bit all lowercase characters | School authentication security key | safeKey=MD5(SECRET+timeStamp) |
| timeStamp | Yes | Null | imestamp used by safeKey | Unix Epoch timeStamp is the number of seconds passed by 00:00 (world standard time) on January 1, 1970 |
| lifeTime | No | The default is 86400 seconds | safeKey the effective time(Unit: second) | Null |
| courseId | Yes | Null | course ID | The return value after the course is created |
| classId | Yes | Null | class ID | The return value after the class is created |
| deviceType | No | default is 1,behalf PC | Platform logo | 1 behalf Windows/Mac OS ;2 behalf iOS mobile terminal;3 behalf Android |
| uid | Yes | User's UID | the user UID returned by the register API |
Response data
| key | Type | Sample value | meaning |
|---|---|---|---|
| data | string | classin://www.eeo.cn/enterclass? telephone=001-8006437676& classId=1424463&courseId=444451& schoolId=1009478 |
In the website login ClassIn client links |
| error_info | object | Return message object | |
| └ errno | number | 1 | The error code |
| └ error | string | "Normal execution" | Error list |
Sample
- HTTP request
POST /partner/api/course.api.php?action=getLoginLinked HTTP/1.1
Host: www.eeo.cn
Content-Type: application/x-www-form-urlencoded
Cache-Control: no-cache
SID=2339736&safeKey=8d3fb00ceddd29638e2d5dd12d69841d&timeStamp=1492793638&telephone=001-8006437676&lifeTime=&courseId=332241&classId=1227045&deviceType=1
- Shell cURL analog request instruction
curl -H "Content-Type: application/x-www-form-urlencoded" -X "POST" \
-d "SID=1234567" \
-d "safeKey=0f7781b3033527a8cc2b1abbf45a5fd2" \
-d "timeStamp=1484719085" \
-d "telephone=001-8006437676" \
-d "lifeTime=" \
-d "courseId=332241" \
-d "classId=1227045" \
"https://api.eeo.cn/partner/api/course.api.php?action=getLoginLinked"
Pc terminal response sample(The normal return json packet example)
{
"data": "classin://www.eeo.cn/enterclass?telephone=001-8006437676&classId=1424463&courseId=444451&schoolId=100947",
"error_info": {
"errno": 1,
"error": "程序正常执行"
}
}
Mobile (iOS) terminal response sample(The normal return json packet example)
{
"data": "https://www.eeo.cn/client/mobile/ios/enterclass/?telephone=18801391473&classId=2645255&courseId=805773&schoolId=2516840",
"error_info": {
"errno": 1,
"error": "程序正常执行"
}
}
Mobile (Android) terminal response sample(The normal return json packet example)
{
"data": "classin://www.eeo.cn/enterclass?telephone=18801391473&classId=296516&courseId=124575&schoolId=1002856",
"error_info": {
"errno": 1,
"error": "程序正常执行"
}
}
The client page wakes up the middle prompt page(optional)
Main use:
https://www.eeo.cn/client/invoke/index.html
This client page is used to invoke the functionality.The prompt page will appear, guiding users to open ClassIn or to download and install the ClassIn client via eeo.cn. This is especially useful if the ClassIn client isn’t launched or fails to start.
The invocation link returned by the interface aboved can be replaced with the one prefixed with this domain name; you only need to fully append all parameters from the original link to the end of this domain name address.
Unlike the link returned by the previous interface, this one does not distinguish between client types,which works for PC iOS and Android.
Example:
https://www.eeo.cn/client/invoke/index.html?telephone=001-8006437676&classId=1213545&courseId=394761&schoolId=1009478
Results the preview:
Wake up 001-8006437676 ClassIn client account
Instructions for use:
Replace the loginlink in the <a> tag href attribute with the client page of the required account to wake the link.The second line of the following code is shown.
<a href='https://api.eeo.cn/partner/invoke/classin.html?'>go to the classin app</a>
<a href=""https://www.eeo.cn/client/invoke/index.html?telephone=12345678901&classId=1213545&courseId=394761&schoolId=1009478">Wake up 001-8006437676 and go into the classroom </a>
Error code instruction
| Error code | Instruction |
|---|---|
| 1 | Expression successful execution. |
| 100 | Expression parameter not all or error. |
| 102 | Expression dont have permissions(Security verification failed). |
| 104 | Expression operation failure(An unknown error). |
| 114 | Expression server exception. |
| 134 | Expression incorrect phone number format. |
| 142 | Expression this course does not have this class information. |
| 143 | Expression no such course information. |
| 144 | Expression there is no such course under the agency. |
| 145 | Expression the class is over. |
| 150 | Expression no access to the phone number login key(This cell phone number does not belong to the student or teacher at the school). |
| 212 | Expression this class has been removed. |
| 369 | Expression open class does not support this operation. |
| 467 | The operation only supports accounts of mobile phone numbers. Please bind your mobile number first. |
| 888 | The user account was cancelled. |